List public models
Retrieve a paginated list of public models. By default, the models are returned in the order that they were created. When sorting by prediction count, only models that have at least one prediction will be returned.
In: header
Query Parameters
The starting point to fetch the next set of items.
The number of results per page.
255 <= value <= 100The field by which to sort the results.
"created_at""created_at" | "predictions_count"The direction in which to sort the results.
"asc""asc" | "desc"A list of category slugs to filter results. Matches any of the provided slugs (OR logic).
Response Body
curl -X GET "https://api.wrift.ai/v1/models?cursor=string&page_size=25&sort_by=created_at&sort_direction=asc&category_slugs=string"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"visibility": "private",
"description": "string",
"updated_at": "2019-08-24T14:15:22Z",
"owner": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"username": "string",
"avatar_url": "string"
},
"predictions_count": 0,
"categories": [
{
"name": "string",
"slug": "string"
}
]
}
],
"next_cursor": "string",
"previous_cursor": "string",
"next_url": "http://example.com",
"previous_url": "http://example.com"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get a model GET
Retrieve a model using the specified owner and name. You must be authenticated with the necessary permissions to fetch a private model.
List models for a user. GET
Retrieve a list of public models owned by the specified user. By default, the models are returned in the order that they were created. When sorting by prediction count, only models that have at least one prediction will be returned.